View Issue Details

IDProjectCategoryView StatusLast Update
0014449LazarusIDEpublic2011-12-01 11:25
ReporterMartin FriebeAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014449: Global Find/Replace while selection is active may start at wrong location
DescriptionIf a selection is active (persistent or none persistent) and you start a find or replace, but set scope to "global" instead of "selection", then the expected behaviour is that the find or replace starts at the current cursor location (as if no selection had been there)

Instead the search starts at the end (forward search) or begin (backward search) of the selection.
TagsNo tags attached.
Fixed in Revision27952
LazTarget0.9.30
Widgetset
Attached Files

Relationships

related to 0014447 closedMartin Friebe "Replace" does not limit to "Selected Text" scope 

Activities

Stephano

2010-10-29 21:17

developer   ~0042380

Isn't the expected behaviour of the global search to start form the beginning of the file?

Issue History

Date Modified Username Field Change
2009-08-27 18:49 Martin Friebe New Issue
2009-08-27 18:49 Martin Friebe Status new => assigned
2009-08-27 18:49 Martin Friebe Assigned To => Martin Friebe
2009-08-27 18:49 Martin Friebe LazTarget => -
2009-08-27 18:50 Martin Friebe Relationship added related to 0014447
2010-10-29 20:44 Martin Friebe Fixed in Revision => 27952
2010-10-29 20:44 Martin Friebe LazTarget - => 0.9.30
2010-10-29 20:44 Martin Friebe Status assigned => resolved
2010-10-29 20:44 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-10-29 20:44 Martin Friebe Resolution open => fixed
2010-10-29 21:17 Stephano Note Added: 0042380
2011-12-01 11:25 Marc Weustink Status resolved => closed